/*
 * This file leads to a menu in QCad.
 *
 * Copyright smf, some ideas taken from the QCad example scripts
 * last change: 2018-11-09
 */

include("scripts/EAction.js");

function MyTools(guiAction) {
    EAction.call(this, guiAction);
}

MyTools.prototype = new EAction();
MyTools.includeBasePath = includeBasePath;

MyTools.getMenu = function() {
    var menu = EAction.getMenu(MyTools.getTitle(), "MyToolsMenu");
    menu.setProperty("scriptFile", MyTools.includeBasePath + "/MyTools.js");
    return menu;
};

MyTools.getToolBar = function() {
    var tb = EAction.getToolBar(MyTools.getTitle(), "MyToolsToolBar");
    tb.visible = false;
    return tb;
};

MyTools.getCadToolBarPanel = function() {
    return EAction.getMainCadToolBarPanel();
};

MyTools.getTitle = function() {
    return qsTr("My&Tools");
};

MyTools.prototype.getTitle = function() {
    return MyTools.getTitle();
};
